-- debug overlay which shows up upon hitting the designated shortcut.

debug_overlay = {}
debug_overlay.enabled = false
debug_overlay.text = ""
function debug_overlay.update(dt)
	local res = ""
	local current_state = statemachine:current_state()
	
	-- output current game state.
	res = res .. "Game state: " .. current_state .. "\n"
	
	if current_state == "game_world" then 
		res = res .. "Player: pos " ..
			game_storage.player.x .. ", " .. game_storage.player.y .. "\n"
		res = res .. "Camera: " ..
			camera.x .. ", " .. camera.y
	end
	debug_overlay.text = res
end

function debug_overlay.draw()
	local current_state = statemachine:current_state()
	lg.printf(debug_overlay.text, 10, 100, 300, "left")
	lg.printf(love.timer.getFPS(), 10, 580, 50, "left")
	if current_state == "game_world" then
		lg.rectangle("fill", 800/2, 600/2, 2, 2)
	end
end